/**
 * (experimental) Specifies the termination criteria to apply before Amazon EC2 Auto Scaling chooses an instance for termination.
 *
 * @experimental
 */
export declare enum TerminationPolicy {
    /**
     * (experimental) Terminate instances in the Auto Scaling group to align the remaining instances to the allocation strategy for the type of instance that is terminating (either a Spot Instance or an On-Demand Instance).
     *
     * @experimental
     */
    ALLOCATION_STRATEGY = "AllocationStrategy",
    /**
     * (experimental) Terminate instances that are closest to the next billing hour.
     *
     * @experimental
     */
    CLOSEST_TO_NEXT_INSTANCE_HOUR = "ClosestToNextInstanceHour",
    /**
     * (experimental) Terminate instances according to the default termination policy.
     *
     * @experimental
     */
    DEFAULT = "Default",
    /**
     * (experimental) Terminate the newest instance in the group.
     *
     * @experimental
     */
    NEWEST_INSTANCE = "NewestInstance",
    /**
     * (experimental) Terminate the oldest instance in the group.
     *
     * @experimental
     */
    OLDEST_INSTANCE = "OldestInstance",
    /**
     * (experimental) Terminate instances that have the oldest launch configuration.
     *
     * @experimental
     */
    OLDEST_LAUNCH_CONFIGURATION = "OldestLaunchConfiguration",
    /**
     * (experimental) Terminate instances that have the oldest launch template.
     *
     * @experimental
     */
    OLDEST_LAUNCH_TEMPLATE = "OldestLaunchTemplate"
}
