/**
 * (experimental) The CpuArchitecture for Fargate Runtime Platform.
 *
 * @experimental
 */
export declare class CpuArchitecture {
    readonly _cpuArchitecture: string;
    /**
     * (experimental) ARM64.
     *
     * @experimental
     */
    static readonly ARM64: CpuArchitecture;
    /**
     * (experimental) X86_64.
     *
     * @experimental
     */
    static readonly X86_64: CpuArchitecture;
    /**
     * (experimental) Other cpu architecture.
     *
     * @param cpuArchitecture cpu architecture.
     * @see https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ecs-taskdefinition-runtimeplatform.html#cfn-ecs-taskdefinition-runtimeplatform-cpuarchitecture for all available cpu architecture.
     * @experimental
     */
    static of(cpuArchitecture: string): CpuArchitecture;
    /**
     *
     * @param _cpuArchitecture The CPU architecture.
     */
    private constructor();
}
/**
 * (experimental) The operating system for Fargate Runtime Platform.
 *
 * @experimental
 */
export declare class OperatingSystemFamily {
    readonly _operatingSystemFamily: string;
    /**
     * (experimental) LINUX.
     *
     * @experimental
     */
    static readonly LINUX: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2004_CORE.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2004_CORE: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2016_FULL.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2016_FULL: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2019_CORE.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2019_CORE: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2019_FULL.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2019_FULL: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2022_CORE.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2022_CORE: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_2022_FULL.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_2022_FULL: OperatingSystemFamily;
    /**
     * (experimental) WINDOWS_SERVER_20H2_CORE.
     *
     * @experimental
     */
    static readonly WINDOWS_SERVER_20H2_CORE: OperatingSystemFamily;
    /**
     * (experimental) Other operating system family.
     *
     * @param family operating system family.
     * @see https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ecs-taskdefinition-runtimeplatform.html#cfn-ecs-taskdefinition-runtimeplatform-operatingsystemfamily for all available operating system family.
     * @experimental
     */
    static of(family: string): OperatingSystemFamily;
    /**
     *
     * @param _operatingSystemFamily The operating system family.
     */
    private constructor();
}
/**
 * (experimental) The interface for Runtime Platform.
 *
 * @experimental
 */
export interface RuntimePlatform {
    /**
     * (experimental) The CpuArchitecture for Fargate Runtime Platform.
     *
     * @default - Undefined.
     * @experimental
     */
    readonly cpuArchitecture?: CpuArchitecture;
    /**
     * (experimental) The operating system for Fargate Runtime Platform.
     *
     * @default - Undefined.
     * @experimental
     */
    readonly operatingSystemFamily?: OperatingSystemFamily;
}
