# AWS::IoTEvents Construct Library



AWS IoT Events enables you to monitor your equipment or device fleets for
failures or changes in operation, and to trigger actions when such events
occur. 

## Installation

Install the module:

```console
$ npm i @aws-cdk/aws-iotevents
```

Import it into your code:

```ts nofixture
import * as iotevents from 'monocdk/aws-iotevents';
```

## `Input`

Add an AWS IoT Events input to your stack:

```ts
import * as iotevents from 'monocdk/aws-iotevents';

new iotevents.Input(this, 'MyInput', {
  inputName: 'my_input',
  attributeJsonPaths: ['payload.temperature'],
});
```
