import * as iam from '../../../aws-iam';
import * as sfn from '../../../aws-stepfunctions';
import { Construct } from 'constructs';
/**
 * (experimental) Properties to define a EMR Containers DeleteVirtualCluster Task.
 *
 * @experimental
 */
export interface EmrContainersDeleteVirtualClusterProps extends sfn.TaskStateBaseProps {
    /**
     * (experimental) The ID of the virtual cluster that will be deleted.
     *
     * @experimental
     */
    readonly virtualClusterId: sfn.TaskInput;
}
/**
 * (experimental) Deletes an EMR Containers virtual cluster as a Task.
 *
 * @see https://docs.amazonaws.cn/en_us/step-functions/latest/dg/connect-emr-eks.html
 * @experimental
 */
export declare class EmrContainersDeleteVirtualCluster extends sfn.TaskStateBase {
    private readonly props;
    private static readonly SUPPORTED_INTEGRATION_PATTERNS;
    /**
     * @experimental
     */
    protected readonly taskMetrics?: sfn.TaskMetricsConfig;
    /**
     * @experimental
     */
    protected readonly taskPolicies?: iam.PolicyStatement[];
    private readonly integrationPattern;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: EmrContainersDeleteVirtualClusterProps);
    /**
     * @internal
     */
    protected _renderTask(): any;
    private createPolicyStatements;
}
